package com.keyboard.bubble.skin.keyboard.ui;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;
import androidx.fragment.app.Fragment;
import androidx.viewpager2.adapter.FragmentStateAdapter;
import androidx.viewpager2.widget.ViewPager2;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;

import com.google.android.material.tabs.TabLayout;
import com.keyboard.bubble.skin.keyboard.R;
import com.keyboard.bubble.skin.keyboard.databinding.ActivityMainBinding;
import com.keyboard.bubble.skin.keyboard.fagment.LikePage;
import com.keyboard.bubble.skin.keyboard.fagment.ViewPage;
import com.keyboard.bubble.skin.keyboard.utils.MyUtils;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public class MainActivity extends AppCompatActivity {

    private ActivityMainBinding vb;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        vb = ActivityMainBinding.inflate(getLayoutInflater());
        MyUtils.INSTANCE.initFullScreen(this,true);
        setContentView(vb.getRoot());
        init();

    }

    private void init() {
       List<Fragment> listFragment = new ArrayList<>();
        listFragment.add(ViewPage.newInstance());
        listFragment.add(LikePage.newInstance());

        for (int i = 0; i < listFragment.size(); i++) {
            TabLayout.Tab tab = vb.tabLayout.newTab();

            View inflate = LayoutInflater.from(this).inflate(R.layout.item_cutomer_view, null, false);
            ImageView icon = inflate.findViewById(R.id.im_icon);
//            TextView textView = inflate.findViewById(R.id.textView);
            if (i == 0) {
//                textView.setSelected(true);
//                textView.setText(getString(R.string.tv_home));
                icon.setImageDrawable(ContextCompat.getDrawable(this, R.drawable.selector_tab_theme));
            } else if(i ==1){
//                textView.setSelected(false);
//                textView.setText(getString(R.string.tv_like));
                icon.setImageDrawable(ContextCompat.getDrawable(this, R.drawable.selector_like));
            }
            tab.setCustomView(inflate);
            vb.tabLayout.addTab(tab);
        }


        vb.viewpager.setUserInputEnabled(false);
        vb.viewpager.setAdapter(new FragmentStateAdapter(this) {
            @NonNull
            @Override
            public Fragment createFragment(int position) {
                return listFragment.get(position);
            }

            @Override
            public int getItemCount() {
                return listFragment.size();
            }
        });
        bing();
    }


    private void bing() {
        vb.tabLayout.addOnTabSelectedListener(new TabLayout.OnTabSelectedListener() {
            @Override
            public void onTabSelected(TabLayout.Tab tab) {
                ImageView icon = Objects.requireNonNull(tab.getCustomView()).findViewById(R.id.im_icon);
                icon.setSelected(true);
                vb.viewpager.setCurrentItem(tab.getPosition());
            }

            @Override
            public void onTabUnselected(TabLayout.Tab tab) {
                ImageView icon = Objects.requireNonNull(tab.getCustomView()).findViewById(R.id.im_icon);
                icon.setSelected(false);
            }

            @Override
            public void onTabReselected(TabLayout.Tab tab) {

            }
        });
        vb.viewpager.registerOnPageChangeCallback(new ViewPager2.OnPageChangeCallback() {
            @Override
            public void onPageSelected(int position) {
                super.onPageSelected(position);
                Objects.requireNonNull(vb.tabLayout.getTabAt(position)).select();
            }
        });
    }
}